package org.apache.ojb.broker.metadata;

import java.util.Collection;
import java.util.ArrayList;

/**
 *  A class containing DynamicObjects to test M:N mappings.
 */
public class DynamicContainer {

	private int id;

	private String name;
		
	private Collection objs = new ArrayList();
	
	public DynamicContainer() {
	}
	
	public DynamicContainer(String name) {
		this.name = name;
	}
	
	public void add(DynamicObject obj) {
		objs.add(obj);
	}	
	
	public int getId() {
		return id;
	}


	public void setId(int id) {
		this.id = id;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}

	public String toString() {
		return "Container: " + objs.toString();
	}

	public Collection getObjs() {
		return objs;
	}


	public void setObjs(Collection objs) {
		this.objs = objs;
	}


}

