package org.apache.ojb.broker.metadata;

/**
 * Test persistance class storing a number with mapping dynamically loaded.
 *
 * @author Martin Fuzzey
 */
public class DynamicNumber extends AbstractDynamicObject implements DynamicObject{
    
    private int value;
    
    public DynamicNumber() {
    }

    public DynamicNumber(int value) {
        this.value = value;
    }
        
    public String toString() {
        return "DynNum:" + value;
    }
    
	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}


}
