package org.apache.ojb.broker.metadata;

/**
 * Test persistance class storing a number with mapping dynamically loaded.
 * Note does not directly implement DynamicObject, only indirectly
 * via AbstractDynamicObject.
 * @author Martin Fuzzey
 */
public class DynamicString extends AbstractDynamicObject   {
    
    private String value;
    
    public DynamicString() {
    }

    public DynamicString(String value) {
        this.value = value;
    }
    
    public String toString() {
        return "DynStr:" + value;
    }
    
	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}


}
