package org.apache.ojb.broker.metadata;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Just an interface so we can query for all dyanmic objects.
 * A dynamic object is one whose class descriptor is found dynamically at runtime
 * via the classloader (ie is not listed in root repository.xml).
 *
 * @author Martin Fuzzey
 */
public interface DynamicObject extends java.io.Serializable, Comparable
{
    

}
