/**
 * @author Travis Reeder - travis@spaceprogram.com
 * @version 0.1
 * Date: Jul 8, 2002
 * Time: 2:34:03 PM
 * 
 */
package org.apache.ojb.broker.metadata.auto;

import org.apache.ojb.broker.PersistenceBrokerFactory;
import org.apache.ojb.broker.PersistenceBroker;

import org.xml.sax.SAXException;

import javax.xml.parsers.ParserConfigurationException;
import java.io.IOException;

public class AutoBuildDb {
	
	public static void main(String args[]){
		PersistenceBroker broker = null;
		try {
			broker = (PersistenceBroker)PersistenceBrokerFactory.createPersistenceBroker("repository.xml");
			//broker.getDescriptorRepository().printDescriptorTable();

			AutoCreatorDb.autoCreate(broker.getDescriptorRepository(), broker);
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		finally {
			if (broker != null) {
				broker.close();  
			}
		}
		System.exit(0); // HSQL hangs onto threads... (could be a connection pool issue)
	}
}

